{
  self,
  hakyll-skeleton,
  jfdic-web,
  agenix,
  colmena,
  nix,
  nixpkgs,
  nixpkgsUnstable,
  resrok-web,
  utils,
  voc-web,
  ...
} @ inputs:
(utils.lib.eachDefaultSystem (system: let
  pkgs = nixpkgs.legacyPackages."${system}";
in {
  devShell =
    pkgs.callPackage
    ./shell.nix {
      inherit (agenix.packages."${pkgs.system}") agenix;
      inherit (colmena.packages."${pkgs.system}") colmena;
      inherit (nix.packages."${pkgs.system}") nix;
      inherit (nixpkgsUnstable.legacyPackages."${pkgs.system}") alejandra;
    };
}))
// {
  colmena = {
    meta = {
      description = "jfdi collective's NixOS deployment";
      name = "jfdic-ops";
      nixpkgs = import nixpkgs {
        system = "x86_64-linux";
        overlays = [];
      };
    };
    toscano = import ./nixos/hosts/toscano/configuration.nix;
    # The below lines are in the wrong place
    #nixosConfigurations = import ./nixos/configurations.nix (inputs
    #  // {
    #    inherit inputs;
    #  });
  };
}
